Skip to main content
`Ctrl`+`K`

# DMDAGlobalToNaturalAllCreate

Creates a scatter context that maps from a global vector, obtained with `DMCreateGlobalVector()`, to the entire vector to each processor in natural numbering

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDAGlobalToNaturalAllCreate(DM da, VecScatter *scatter)

Collective

## Input Parameter

- da - the `DMDA` context

## Output Parameter

- scatter - the scatter context

## See Also

DMDA - Creating vectors for structured grids, `DM`, `DMDA`, `DMDANaturalAllToGlobalCreate()`, `DMDAGlobalToNaturalEnd()`, `DMLocalToGlobalBegin()`, `DMDACreate2d()`, `DMGlobalToLocalBegin()`, `DMGlobalToLocalEnd()`, `DMDACreateNaturalVector()`

## Level

advanced

## Location

src/dm/impls/da/dagtona.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages